import { LooseObject, ComparitorFunction, MergedObject } from './types';
/**
 * Merge two arrays of objects
 * @param items Object array to merge new data into
 * @param newItems Object or array of objects to merge into the first array
 * @param keyOrCallback String or callback to match objects
 * @param mergeDeep On match, merged all nested objects
 */
declare const mergeBy: <T extends LooseObject, K extends LooseObject>(items: T[], newItems: K | K[], keyOrCallback: string | ComparitorFunction, mergeDeep?: boolean) => MergedObject<T, K>[];
export default mergeBy;
export { LooseObject, ComparitorFunction, MergedObject };
